Bug 607898 - Alert notification: of direct email type fail for multiple email addresses.
Summary: Alert notification: of direct email type fail for multiple email addresses.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
(Show other bugs)
Version: 3.0.0
Hardware: All Linux
high
high vote
Target Milestone: ---
: ---
Assignee: Joseph Marques
QA Contact: Sudhir D
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon24-alert-notify
TreeView+ depends on / blocked
 
Reported: 2010-06-25 06:40 UTC by Sudhir D
Modified: 2010-08-12 16:50 UTC (History)
1 user (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:50:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sudhir D 2010-06-25 06:40:05 UTC
Description of problem:
Alert notification of type Direct email, fail for multiple e-mail addresses with Illegal address error.

Version-Release number of selected component (if applicable):
jon-server-2.4.0.GA_QA Build# 42.

How reproducible:
Always

Steps to Reproduce:
1. Create an alert definition.
2. Edit the alert notification and click Add New button.
3. Select Direct Emails and provide the e-mail addresses comma seperated.
  
Actual results:
Sending of e-mails fail with illegal address error. 

Below is the log-snippet for alert @DEBUG level,

2010-06-25 12:06:21,057 DEBUG [org.rhq.enterprise.server.alert.engine.model.MeasurementNumericCacheElement] comparing 0.001160525552285821 against MeasurementNumericCacheElement[ alertConditionTriggerId=10114, alertConditionOperator=CHANGES, alertConditionValue=0.0016927387345318703 ] match
2010-06-25 12:06:21,060 DEBUG [org.rhq.enterprise.server.alert.engine.model.MeasurementNumericCacheElement] element updated: MeasurementNumericCacheElement[ alertConditionTriggerId=10114, alertConditionOperator=CHANGES, alertConditionValue=0.001160525552285821 ]
2010-06-25 12:06:21,120 DEBUG [org.rhq.enterprise.server.alert.engine.internal.AlertConditionCacheCoordinator] Check Measurements[size=16] - AlertConditionCacheStats[ created=0, updated=0, deleted=0, matched=1, age=63ms ]
2010-06-25 12:06:21,122 DEBUG [org.rhq.enterprise.server.alert.engine.jms.AlertConditionConsumerBean] Received message: ActiveAlertConditionMessage[ value= 0.001160525552285821, AbstractAlertConditionMessage[ alertConditionId=10114, timestamp=1277447764153 ] ]
2010-06-25 12:06:21,129 DEBUG [org.rhq.enterprise.server.alert.AlertConditionLogManagerBean] Inserting unmatched alert condition log: org.rhq.core.domain.alert.AlertConditionLog[ id=0, value=0.001160525552285821, org.rhq.core.domain.alert.AlertCondition[ id=10114, category=Measurement Value Change, name=System Load, comparator='null', threshold=null, option=null ] ]
2010-06-25 12:06:21,134 DEBUG [org.rhq.enterprise.server.alert.AlertConditionLogManagerBean] Need only 1 of 1 conditions to be true, found 1 for AlertDefinition[id=10011]
2010-06-25 12:06:21,134 DEBUG [org.rhq.enterprise.server.alert.AlertConditionLogManagerBean] Alert definition with conditionId=10114 evaluated to true
2010-06-25 12:06:21,135 DEBUG [org.rhq.enterprise.server.alert.AlertConditionLogManagerBean] Latest event was null, next AlertDampeningEvent.Type is POSITIVE
2010-06-25 12:06:21,135 DEBUG [org.rhq.enterprise.server.alert.AlertConditionLogManagerBean] Need to process AlertDampeningEvent.Type of POSITIVE for AlertDefinition[ id=10011 ]
2010-06-25 12:06:21,157 DEBUG [org.rhq.enterprise.server.alert.AlertDampeningManagerBean] Alert condition processing for org.rhq.core.domain.alert.AlertDefinition[ id=10011, name=System Load Variation, conditionExpression=ANY, priority=!! - Medium, resourceId=10001 ]
2010-06-25 12:06:21,157 DEBUG [org.rhq.enterprise.server.alert.AlertDampeningManagerBean] Dampening rules are: org.rhq.core.domain.alert.AlertDampening[ category=NONE[] ]
2010-06-25 12:06:21,159 DEBUG [org.rhq.enterprise.server.alert.AlertDampeningManagerBean] Need 1 events for the last 1 events, found 1
2010-06-25 12:06:21,160 DEBUG [org.rhq.enterprise.server.alert.AlertDampeningManagerBean] Dampening rules were satisfied
2010-06-25 12:06:21,161 DEBUG [org.rhq.enterprise.server.alert.AlertManagerBean] Firing an alert for alertDefinition with id=10011...
2010-06-25 12:06:21,165 DEBUG [org.rhq.enterprise.server.alert.AlertManagerBean] New alert identifier=10072
2010-06-25 12:06:21,167 DEBUG [org.rhq.enterprise.server.alert.AlertManagerBean] Matched alert condition log for alertId=10072: org.rhq.core.domain.alert.AlertConditionLog[ id=10091, value=0.001160525552285821, org.rhq.core.domain.alert.AlertCondition[ id=10114, category=Measurement Value Change, name=System Load, comparator='null', threshold=null, option=null ] ]
2010-06-25 12:06:21,167 DEBUG [org.rhq.enterprise.server.alert.AlertManagerBean] Sending alert notifications for Alert[id=10072]...
2010-06-25 12:06:21,171 DEBUG [org.rhq.enterprise.server.alert.AlertManagerBean] SenderResult{message='Sending to addresses: [sdharane@redhat.com,rhquser1@redhat.com,rhquser2@redhat.com]', state=DEFERRED_EMAIL, emails=[sdharane@redhat.com,rhquser1@redhat.com,rhquser2@redhat.com]}
2010-06-25 12:06:21,171 DEBUG [org.rhq.enterprise.server.alert.AlertManagerBean] Sending alert notifications for Alert[id=10072]...
2010-06-25 12:06:21,174 ERROR [org.rhq.enterprise.server.core.EmailManagerBean] Failed to send email [ [ALERT] priority of [!! - Medium] for alert [System Load Variation] on resource [dhcp6-150.pnq.redhat.com-embedded]] to recipient [sdharane@redhat.com,rhquser1@redhat.com,rhquser2@redhat.com]: Illegal address
2010-06-25 12:06:21,174 ERROR [org.rhq.enterprise.server.core.EmailManagerBean] Sending of emails failed for this reason: Illegal address
2010-06-25 12:06:21,174 DEBUG [org.rhq.enterprise.server.alert.AlertManagerBean] Sending email notifications for [sdharane@redhat.com,rhquser1@redhat.com,rhquser2@redhat.com] failed

Expected results:
Emails should be sent to respective mail IDs.

Additional info:

Comment 1 Sudhir D 2010-06-25 06:40:57 UTC
Just missed to mention that, for a single e-mail ID, alerts are sent across to that mail ID correctly.

Comment 2 Joseph Marques 2010-06-25 13:26:15 UTC
Sudhir, please delete and recreate this alert notification.  I made some changes recently to how the configuration data for an alert notification is persisted, so it literally thinks that "sdharane@redhat.com,rhquser1@redhat.com,rhquser2@redhat.com" is one big email address.  The change was necessary to implement BZ-586131 efficiently.

Comment 3 Sudhir D 2010-06-29 10:20:42 UTC
I re-tested this with new build,  jon-server-2.4.0.GA_QA Build# 43. 

No luck. I'm still hitting the same error. 

Moving this back to ON_DEV

Comment 4 Joseph Marques 2010-06-29 19:35:30 UTC
commit db911f971bb286fe600c4257b85f917bb3227004
Author: Joseph Marques <joseph@redhat.com>
Date:   Tue Jun 29 15:33:19 2010 -0400

    BZ-607898: fix for sending alert notifications with multiple direct email addresses

Comment 5 Sudhir D 2010-06-30 08:17:50 UTC
Tested this on jon-server-2.4.0.GA_QA.zip Build# 44. I'm able to send e-mail address to multiple e-mail addresses. 

Marking this bug Verified.

Comment 6 Corey Welton 2010-08-12 16:50:35 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.